WebSocket API

query.ppmmrAccount

Lấy thông tin PP/MMR (Purchasing Power/Maintenance Margin Ratio) của tài khoản. Không yêu cầu chữ ký.

Scope bắt buộc: tradingws:ppmmrAccount:get.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
idstringrequired
methodstringrequired
paramsobjectrequired
accountNostringrequired

Tài khoản giao dịch cần lấy thông tin PP/MMR.

timestampintegerrequired

Response Body

application/json

application/json

Sample Request

wscat -c wss://api.ssi.com.vn/ws/v3/trading -x '{
  "id": "req-0012",
  "method": "query.ppmmrAccount",
  "params": {
    "accountNo": "0901351"
  },
  "timestamp": 1755000011000
}'

Sample Response

{
  "id": "req-0012",
  "method": "query.ppmmrAccount",
  "status": 200,
  "result": {
    "equity": {
      "accountNo": "0901351",
      "purchasingPower": "227500000",
      "marginRatio": "165%"
    },
    "derivative": null
  },
  "rateLimit": {
    "limit": 100,
    "remaining": 93,
    "resetMs": 780
  }
}